function [spli, fspli]=wp_genP(type_gen,Par,N,SdSt)
%design of the wavelet packet psi^{Par}_{lev,blo} from the level 'lev' and block
%'blo'
%Par -spine order (even)
%N -length of signal 
%SdSt -number of subdivision steps
%spli-- designed wavelet packet
%fspli-- its SHA spectrum
 M=N*2^(SdSt-1);
lev=type_gen(1)+1;
blo=type_gen(2)+1;

[De,GS,Sam]=wavs_coefP(Par,N);
 
  fspli=GS{lev}{blo};
  x=Sam{lev}{blo};
     x=circshift(x',N/2)';


 [spli]=intersplliPt(x,Par,SdSt-1,2);   

